Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class ClosureTriggerBinding

    java.lang.Object
      org.codehaus.groovy.binding.ClosureTriggerBinding

All Implemented Interfaces:
  SourceBinding, TriggerBinding

    public class ClosureTriggerBinding
    extends Object
    implements TriggerBinding, SourceBinding

Constructor Summary
Constructor and Description
`ClosureTriggerBinding(Map<String,TriggerBinding> syntheticBindings)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
`Closure` | `getClosure()`
`Object` | `getSourceValue()`
`void` | `setClosure(Closure closure)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClosureTriggerBinding

    public ClosureTriggerBinding(Map<String,TriggerBinding> syntheticBindings)

Method Detail

### getClosure

    public Closure getClosure()

### setClosure

    public void setClosure(Closure closure)

### createBinding

    public FullBinding createBinding(SourceBinding source,
                                     TargetBinding target)

  Specified by:
    `createBinding` in interface `TriggerBinding`

### getSourceValue

    public Object getSourceValue()

  Specified by:
    `getSourceValue` in interface `SourceBinding`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD